# Generated by Django 3.2.4 on 2021-08-05 12:45

import _socket
from django.conf import settings
import django.contrib.sites.managers
from django.db import migrations, models
import django.db.models.deletion
import django_audit_fields.fields.hostname_modification_field
import django_audit_fields.fields.userfield
import django_audit_fields.fields.uuid_auto_field
import django_audit_fields.models.audit_model_mixin
import django_revision.revision_field
import edc_model.models.fields.other_charfield
import edc_model.models.validators.date
import edc_model_fields.fields.other_charfield
import edc_protocol.validators
import edc_utils.date
import edc_visit_tracking.managers
import simple_history.models
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('sites', '0002_alter_domain_unique'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('meta_lists', '0012_auto_20210728_1809'),
        ('meta_subject', '0071_auto_20210804_0715'),
    ]

    operations = [
        migrations.CreateModel(
            name='OtherArvRegimens',
            fields=[
                ('revision', django_revision.revision_field.RevisionField(blank=True, editable=False, help_text='System field. Git repository tag:branch:commit.', max_length=75, null=True, verbose_name='Revision')),
                ('created', models.DateTimeField(blank=True, default=django_audit_fields.models.audit_model_mixin.utcnow)),
                ('modified', models.DateTimeField(blank=True, default=django_audit_fields.models.audit_model_mixin.utcnow)),
                ('user_created', django_audit_fields.fields.userfield.UserField(blank=True, help_text='Updated by admin.save_model', max_length=50, verbose_name='user created')),
                ('user_modified', django_audit_fields.fields.userfield.UserField(blank=True, help_text='Updated by admin.save_model', max_length=50, verbose_name='user modified')),
                ('hostname_created', models.CharField(blank=True, default=_socket.gethostname, help_text='System field. (modified on create only)', max_length=60)),
                ('hostname_modified', django_audit_fields.fields.hostname_modification_field.HostnameModificationField(blank=True, help_text='System field. (modified on every save)', max_length=50)),
                ('device_created', models.CharField(blank=True, max_length=10)),
                ('device_modified', models.CharField(blank=True, max_length=10)),
                ('id', django_audit_fields.fields.uuid_auto_field.UUIDAutoField(blank=True, editable=False, help_text='System auto field. UUID primary key.', primary_key=True, serialize=False)),
                ('report_datetime', models.DateTimeField(default=edc_utils.date.get_utcnow, help_text="If reporting today, use today's date/time, otherwise use the date/time this information was reported.", validators=[edc_protocol.validators.datetime_not_before_study_start, edc_model.models.validators.date.datetime_not_future], verbose_name='Report Date')),
                ('consent_model', models.CharField(editable=False, max_length=50, null=True)),
                ('consent_version', models.CharField(editable=False, max_length=10, null=True)),
                ('crf_status', models.CharField(choices=[('INCOMPLETE', 'Incomplete (some data pending)'), ('COMPLETE', 'Complete')], default='COMPLETE', help_text='If some data is still pending, flag this CRF as incomplete', max_length=25, verbose_name='CRF status')),
                ('crf_status_comments', models.TextField(blank=True, help_text='for example, why some data is still pending', null=True, verbose_name='Any comments related to status of this CRF')),
                ('has_other_regimens', models.CharField(choices=[('Yes', 'Yes'), ('No', 'No')], max_length=15, verbose_name='Are there additional ARV regimens to report NOT reported on the Patient History CRF?')),
                ('site', models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='sites.site')),
                ('subject_visit', models.OneToOneField(on_delete=django.db.models.deletion.PROTECT, to='meta_subject.subjectvisit')),
            ],
            options={
                'verbose_name': 'Other ARV Regimens',
                'verbose_name_plural': 'Other ARV Regimens',
                'ordering': ('-modified', '-created'),
                'get_latest_by': 'modified',
                'abstract': False,
                'default_permissions': ('add', 'change', 'delete', 'view', 'export', 'import'),
            },
            managers=[
                ('on_site', django.contrib.sites.managers.CurrentSiteManager()),
                ('objects', edc_visit_tracking.managers.CrfModelManager()),
            ],
        ),
        migrations.AddField(
            model_name='historicalpatienthistory',
            name='additional_conditions',
            field=models.CharField(blank=True, max_length=150, null=True, verbose_name='Does the patient have any other conditions not mentioned above?'),
        ),
        migrations.AddField(
            model_name='historicalpatienthistory',
            name='concomitant_medications',
            field=models.CharField(blank=True, max_length=150, null=True, verbose_name='Is the patient taking any concomitant medications?'),
        ),
        migrations.AddField(
            model_name='historicalpatienthistory',
            name='other_dyslipidaemia_rx',
            field=models.CharField(blank=True, max_length=50, null=True, verbose_name='What medication is the patient currently taking for dyslipidaemia?'),
        ),
        migrations.AddField(
            model_name='patienthistory',
            name='additional_conditions',
            field=models.CharField(blank=True, max_length=150, null=True, verbose_name='Does the patient have any other conditions not mentioned above?'),
        ),
        migrations.AddField(
            model_name='patienthistory',
            name='concomitant_medications',
            field=models.CharField(blank=True, max_length=150, null=True, verbose_name='Is the patient taking any concomitant medications?'),
        ),
        migrations.AddField(
            model_name='patienthistory',
            name='other_dyslipidaemia_rx',
            field=models.CharField(blank=True, max_length=50, null=True, verbose_name='What medication is the patient currently taking for dyslipidaemia?'),
        ),
        migrations.AlterField(
            model_name='historicalpatienthistory',
            name='dyslipidaemia_rx',
            field=models.CharField(choices=[('atorvastatin', 'Atorvastatin'), ('rosuvastatin', 'Rosuvastatin'), ('OTHER', 'Other, specify below ...'), ('N/A', 'Not applicable')], default='N/A', max_length=25, verbose_name='What medication is the patient currently taking for dyslipidaemia?'),
        ),
        migrations.AlterField(
            model_name='historicalpatienthistory',
            name='other_current_arv_regimen',
            field=edc_model.models.fields.other_charfield.OtherCharField(blank=True, max_length=35, null=True, verbose_name='If other, please specify ...'),
        ),
        migrations.AlterField(
            model_name='historicalpatienthistory',
            name='other_oi_prophylaxis',
            field=edc_model.models.fields.other_charfield.OtherCharField(blank=True, max_length=35, null=True, verbose_name='If other, please specify ...'),
        ),
        migrations.AlterField(
            model_name='historicalpatienthistory',
            name='other_previous_arv_regimen',
            field=edc_model.models.fields.other_charfield.OtherCharField(blank=True, max_length=35, null=True, verbose_name='If other, please specify ...'),
        ),
        migrations.AlterField(
            model_name='patienthistory',
            name='dyslipidaemia_rx',
            field=models.CharField(choices=[('atorvastatin', 'Atorvastatin'), ('rosuvastatin', 'Rosuvastatin'), ('OTHER', 'Other, specify below ...'), ('N/A', 'Not applicable')], default='N/A', max_length=25, verbose_name='What medication is the patient currently taking for dyslipidaemia?'),
        ),
        migrations.AlterField(
            model_name='patienthistory',
            name='other_current_arv_regimen',
            field=edc_model.models.fields.other_charfield.OtherCharField(blank=True, max_length=35, null=True, verbose_name='If other, please specify ...'),
        ),
        migrations.AlterField(
            model_name='patienthistory',
            name='other_oi_prophylaxis',
            field=edc_model.models.fields.other_charfield.OtherCharField(blank=True, max_length=35, null=True, verbose_name='If other, please specify ...'),
        ),
        migrations.AlterField(
            model_name='patienthistory',
            name='other_previous_arv_regimen',
            field=edc_model.models.fields.other_charfield.OtherCharField(blank=True, max_length=35, null=True, verbose_name='If other, please specify ...'),
        ),
        migrations.CreateModel(
            name='OtherArvRegimensDetail',
            fields=[
                ('revision', django_revision.revision_field.RevisionField(blank=True, editable=False, help_text='System field. Git repository tag:branch:commit.', max_length=75, null=True, verbose_name='Revision')),
                ('created', models.DateTimeField(blank=True, default=django_audit_fields.models.audit_model_mixin.utcnow)),
                ('modified', models.DateTimeField(blank=True, default=django_audit_fields.models.audit_model_mixin.utcnow)),
                ('user_created', django_audit_fields.fields.userfield.UserField(blank=True, help_text='Updated by admin.save_model', max_length=50, verbose_name='user created')),
                ('user_modified', django_audit_fields.fields.userfield.UserField(blank=True, help_text='Updated by admin.save_model', max_length=50, verbose_name='user modified')),
                ('hostname_created', models.CharField(blank=True, default=_socket.gethostname, help_text='System field. (modified on create only)', max_length=60)),
                ('hostname_modified', django_audit_fields.fields.hostname_modification_field.HostnameModificationField(blank=True, help_text='System field. (modified on every save)', max_length=50)),
                ('device_created', models.CharField(blank=True, max_length=10)),
                ('device_modified', models.CharField(blank=True, max_length=10)),
                ('id', django_audit_fields.fields.uuid_auto_field.UUIDAutoField(blank=True, editable=False, help_text='System auto field. UUID primary key.', primary_key=True, serialize=False)),
                ('other_arv_regimen', edc_model_fields.fields.other_charfield.OtherCharField(blank=True, max_length=35, null=True, verbose_name='If other, please specify ...')),
                ('arv_regimen_start_date', models.DateField(blank=True, null=True, verbose_name='Start date')),
                ('notes', models.CharField(blank=True, max_length=100, null=True, verbose_name='Notes')),
                ('arv_regimen', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='other_arv_regimen', to='meta_lists.arvregimens', verbose_name='ARV Regimen')),
                ('other_arv_regimens', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='meta_subject.otherarvregimens')),
            ],
            options={
                'verbose_name': 'Other ARV Regimens Detail',
                'verbose_name_plural': 'Other ARV Regimens Detail',
                'ordering': ('-modified', '-created'),
                'get_latest_by': 'modified',
                'abstract': False,
                'default_permissions': ('add', 'change', 'delete', 'view', 'export', 'import'),
            },
        ),
        migrations.CreateModel(
            name='HistoricalOtherArvRegimens',
            fields=[
                ('revision', django_revision.revision_field.RevisionField(blank=True, editable=False, help_text='System field. Git repository tag:branch:commit.', max_length=75, null=True, verbose_name='Revision')),
                ('created', models.DateTimeField(blank=True, default=django_audit_fields.models.audit_model_mixin.utcnow)),
                ('modified', models.DateTimeField(blank=True, default=django_audit_fields.models.audit_model_mixin.utcnow)),
                ('user_created', django_audit_fields.fields.userfield.UserField(blank=True, help_text='Updated by admin.save_model', max_length=50, verbose_name='user created')),
                ('user_modified', django_audit_fields.fields.userfield.UserField(blank=True, help_text='Updated by admin.save_model', max_length=50, verbose_name='user modified')),
                ('hostname_created', models.CharField(blank=True, default=_socket.gethostname, help_text='System field. (modified on create only)', max_length=60)),
                ('hostname_modified', django_audit_fields.fields.hostname_modification_field.HostnameModificationField(blank=True, help_text='System field. (modified on every save)', max_length=50)),
                ('device_created', models.CharField(blank=True, max_length=10)),
                ('device_modified', models.CharField(blank=True, max_length=10)),
                ('id', django_audit_fields.fields.uuid_auto_field.UUIDAutoField(blank=True, db_index=True, editable=False, help_text='System auto field. UUID primary key.')),
                ('report_datetime', models.DateTimeField(default=edc_utils.date.get_utcnow, help_text="If reporting today, use today's date/time, otherwise use the date/time this information was reported.", validators=[edc_protocol.validators.datetime_not_before_study_start, edc_model.models.validators.date.datetime_not_future], verbose_name='Report Date')),
                ('consent_model', models.CharField(editable=False, max_length=50, null=True)),
                ('consent_version', models.CharField(editable=False, max_length=10, null=True)),
                ('crf_status', models.CharField(choices=[('INCOMPLETE', 'Incomplete (some data pending)'), ('COMPLETE', 'Complete')], default='COMPLETE', help_text='If some data is still pending, flag this CRF as incomplete', max_length=25, verbose_name='CRF status')),
                ('crf_status_comments', models.TextField(blank=True, help_text='for example, why some data is still pending', null=True, verbose_name='Any comments related to status of this CRF')),
                ('history_id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('has_other_regimens', models.CharField(choices=[('Yes', 'Yes'), ('No', 'No')], max_length=15, verbose_name='Are there additional ARV regimens to report NOT reported on the Patient History CRF?')),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('site', models.ForeignKey(blank=True, db_constraint=False, editable=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='sites.site')),
                ('subject_visit', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='meta_subject.subjectvisit')),
            ],
            options={
                'verbose_name': 'historical Other ARV Regimens',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.AddIndex(
            model_name='otherarvregimens',
            index=models.Index(fields=['subject_visit', 'site', 'id'], name='meta_subjec_subject_323829_idx'),
        ),
    ]
